using System;
using System.Collections.Generic;
using System.Text;
using System.Data;

namespace DBaccess
{
    public partial class DBaccessDataSet
    {
        public partial class zaikoTableDataTable
        {
            protected override void OnColumnChanging(DataColumnChangeEventArgs e)
            {
                if (e.Column.ColumnName == "zaiko")
                    if (Convert.ToInt32(e.ProposedValue) < 0)
                        throw new System.ArgumentException("在庫に負の数が入力されました");
            }
        }

    }
}

namespace DBaccess.DBaccessDataSetTableAdapters
{
    public partial class zaikoTableTableAdapter
    {
        public string ConnectionString
        {
            set
            {
                this.Connection = new System.Data.SqlClient.SqlConnection(value);
            }
        }
    }
}
